# FrostFS S3 Tests parser

This is handy util to form compatibility s3 tests results.

## Getting started

Build app using 

```shell
$ make
```

Run app 

```shell
$ ./bin/s3-tests-parser compatibility tests/fixture/suite.csv
```

You can also use json 

```shell
$ ./bin/s3-tests-parser compatibility tests/fixture/suite.json --format json --output-format md --output result.md
```

## Tests to check

You can see all tests that will be checked during `compatibility` command by using:
```shell
$ ./bin/s3-tests-parser tests --output tests.txt
```

Output file now contains tests and can be provided as parameter for running [s3-tests](https://git.frostfs.info/TrueCloudLab/s3-tests):

```shell
S3TEST_CONF=your.conf tox -- @tests.txt
```
