package s3

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func TestStructParsing(t *testing.T) {
	structure, err := ParseTestsStruct()
	require.NoError(t, err)

	for _, group := range structure.Groups {
		require.NotEmptyf(t, group.Tag, "group tag must not be empty: %v", group)
		require.NotEmptyf(t, group.Name, "group name must not be empty: %v", group)
	}
}
